
%define 	module	pyrad

Summary:	pyrad - Python implementation of a RADIUS client
Summary(pl.UTF-8):	pyrad - implementacja klienta RADIUS w Pythonie
Name:		python-%{module}
Version:	1.1
Release:	3
License:	BSD-like
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyrad/%{module}-%{version}.tar.gz
# Source0-md5:	ab1502f8ccd7409ced757d78b0dee7df
URL:		http://www.wiggy.net/code/pyrad/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyrad is an implementation of a RADIUS client as described in RFC2865.
It takes care of all the details like building RADIUS packets, sending
them and decoding responses.

%description -l pl.UTF-8
pyrad jest implementacją klienta protokołu RADIUS, opisanego w
dokumencie RFC2865. Moduł ten odpowiada za wszystkie aspekty
przetwarzania protokołu RADIUS, takie jak budowanie pakietów
protokołu, wysyłanie ich oraz odkodowywanie odpowiedzi.

%package examples
Summary:	Example programs for Python pyrad module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pyrad
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pyrad module.

%description examples -l pl.UTF-8
Pakiet zawierający programy przykładowe dla modułu Pythona pyrad.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2
%py_postclean

cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/pyrad
%{py_sitescriptdir}/%{module}-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyrad.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4d793c0
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6fd0c12
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 22904e0
- BR: python-modules, python-setuptools, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7109429
- release 2

* Thu Mar 19 2009 Jacek Konieczny <jajcus@pld-linux.org> 3a07b2b
- Version: 1.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3391313
- release 2

* Mon Mar 05 2007 beorn <beorn@pld-linux.org> 6ff48d7
- Up to version 0.9
- Switched to py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 28fd001
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 66123ae
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4333e1e
- cp -a implies cp -r

* Sun Dec 26 2004 saq <saq@pld-linux.org> 53cd56f
- strict python deps, release 2

* Sat Nov 27 2004 saq <saq@pld-linux.org> 51fe20c
- massive attack: added missing python-devel epoch do BR

* Mon Aug 30 2004 Marcin Gajda <m.gajda@functional-software.com> 4d80f46
- version 0.8

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> cb172e2
- removed %%include /usr/lib/rpm/macros.python

* Mon Jun 14 2004 Marcin Gajda <m.gajda@functional-software.com> c2f3e48
- initial PLD release

